<nav aria-label="Page navigation">
  <ul *ngIf="totalPages() > 0" class="pagination">
    <li class="page-item" *ngIf="page != 0">
      <a class="page-link" (click)="pageClicked(rangeStart())" aria-label="Previous">
        <span aria-hidden="true">&laquo;</span>
        <span class="sr-only">Previous</span>
      </a>
    </li>
    <li class="page-item" *ngIf="page != 0">
      <a class="page-link" (click)="pageClicked(prevPage())" aria-label="Previous">
        <span aria-hidden="true">&laquo;</span>
        <span class="sr-only">Previous</span>
      </a>
    </li>
    <li class="page-item" [class.active]="page==p" *ngFor="let p of pagesRange()">
      <a class="page-link" *ngIf="showPage(p)" (click)="pageClicked(p)">{{p}}</a>

     <a class="page-link disabled" *ngIf="!showPage(p) && showPage(p -1)" (click)="pageClicked(p)">...</a>
    </li>
    <li class="page-item">
      <a class="page-link" (click)="pageClicked(nextPage())" aria-label="Next">
        <span aria-hidden="true">&raquo;</span>
        <span class="sr-only">Next</span>
      </a>
    </li>
    <li class="page-item" >
      <a class="page-link" (click)="pageClicked(totalPages())" aria-label="Next">
        <span aria-hidden="true">&raquo;</span>
        <span class="sr-only">Next</span>
      </a>
    </li>
  </ul>
</nav>
